Bug 138898 - Trackpad enhancements should be modifable and disabled by default.
Trackpad enhancements should be modifable and disabled by default.
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 15:57 EST by J.B. Nicholson-Owens
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-13 23:10:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J.B. Nicholson-Owens 2004-11-11 15:57:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Trackpad control in FC3 appears to have a scroll wheel area along the
right side of the trackpad and some buttons along the bottom.

As a result, I am always moving back one page in my web browser's
history when I tap on the trackpad to focus the web browser window.  I
also inadvertantly scroll documents up and down.

There ought to be a way to customize what areas of the trackpad do
these additional functions and there ought to be a way to turn them
off completely so I can have the complete area of the trackpad used
for mouse navigation.

Version-Release number of selected component (if applicable):
2.6.9-1.667

How reproducible:
Always

Steps to Reproduce:
1. Install FC3 on a notebook or laptop computer with a trackpad.
2. In a vertically scrollable area (like a tall web page), move your
finger up and down the right most side of the trackpad.  Notice the
scrolling web page.
3. Tap the bottom most area of the trackpad.  Notice the web browser
move through the history.

Expected Results:  I should have the ability to control how much of
the trackpad is used for these things, whether I want them on at all,
and which functions I want to use.

Additional info:
Comment 1 Dave Jones 2004-11-13 23:10:54 EST
Need to know more info about your hardware to know what driver its using.
Its possible theres some x config magic you can use to disable the 'buttons',
but that's out of my field of expertise.  Mike ?
Comment 2 J.B. Nicholson-Owens 2004-11-14 16:22:12 EST
I'm guessing this is the relevant section of my /etc/X/xorg.conf file:

Section "InputDevice"
        Identifier  "Mouse0"
        Driver      "mouse"
        Driver      "mouse"
        Option      "Protocol" "IMPS/2"
        Option      "Device" "/dev/input/mice"
        Option      "ZAxisMapping" "4 5"
        Option      "Emulate3Buttons" "yes"
EndSection

Section "InputDevice"
        Identifier  "Synaptics"
        Driver      "synaptics"
        Option      "Device" "/dev/input/mice"
        Option      "Protocol" "auto-dev"
        Option      "Emulate3Buttons" "yes"
EndSection

It would appear that I'm using the Synaptics driver for the trackpad.

Note You need to log in before you can comment on or make changes to this bug.